View a markdown version of this page

ListBrandProfiles - AWS End User Messaging

ListBrandProfiles

Retrieves a paginated list of the brand profiles in your account. Use the nextToken parameter to retrieve additional results.

Request Syntax

GET /v1/brand-profiles?maxResults=maxResults&nextToken=nextToken HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

maxResults

The maximum number of results to return per page.

Valid Range: Minimum value of 1. Maximum value of 100.

nextToken

The token to retrieve the next page of results. This value is returned when more results are available, and is null when there are no more results to return.

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: .+

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "brandProfiles": [ { "brandProfileArn": "string", "brandProfileId": "string", "brandProfileName": "string", "createdAt": number, "deletionProtectionEnabled": boolean, "status": "string", "updatedAt": number } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

brandProfiles

The list of brand profiles.

Type: Array of BrandProfileInfo objects

Array Members: Minimum number of 0 items. Maximum number of 100 items.

nextToken

The token to retrieve the next page of results. This value is returned when more results are available, and is null when there are no more results to return.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: .+

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException

An unexpected error occurred during the processing of the request.

HTTP Status Code: 500

ThrottlingException

The request was denied because it exceeded the allowed request rate.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service. Check your request parameters and retry the request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: